### Hierarchy

- ProducerEventMap

## Index

### Properties

- challenge
- done
- link

## Properties

### challenge

challenge: { pin: number[]; confirmPin: any; rejectPin: any }

- Defined in auth/linking/producer.ts:24

#### Type declaration

- ##### pin: number[]

- ##### confirmPin:function

  - confirmPin(): void
  - - Defined in auth/linking/producer.ts:26

    #### Returns void

- ##### rejectPin:function

  - rejectPin(): void
  - - Defined in auth/linking/producer.ts:27

    #### Returns void

### done

done: undefined

- Defined in auth/linking/producer.ts:30

### link

link: { approved: boolean; username: string }

- Defined in auth/linking/producer.ts:29

#### Type declaration

- ##### approved: boolean

- ##### username: string

Generated using TypeDoc